I'm not 100% sure of this, but looking at the messages below, mentioning
"Apache" rather than "Apache2", I have the feeling that your application
is trying to use mod_perl 1.xxx, rather than 2.xxx.
Have a look here :
http://perl.apache.org/docs/2.0/rename.html

green tom wrote:
> I'm trying to run the dev versions of an website in Apache 2.2.9, and
> using mod_perl 2.0 (dso mode)(on fedora 9 , for reference). and my web
> server started with no Error prompted .but when I run one of the page
> code ,it failed .i checked the error logs and got the error below :
>
> ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> " [error] Can't locate object method "boot" via package "mod_perl" at
> /usr/local/lib/perl5/site_perl/5.10.0/i686-linux/Apache/Constants.pm line 8,
> line 1086.\nCompilation failed in require at
> /usr/local/lib/perl5/site_perl/5.10.0/i686-linux/Apache.pm line 6,
> line 1086.\nBEGIN failed--compilation aborted at
> /usr/local/lib/perl5/site_perl/5.10.0/i686-linux/Apache.pm line 6,
> line 1086.\nCompilation failed in require at
> /usr/local/ensembl-48/gramene-live/ensembl-plugins/grmblast/perl/multi/blastview
> line 162, line 1086.\nBEGIN failed--compilation aborted at
> /usr/local/ensembl-48/gramene-live/ensembl-plugins/grmblast/perl/multi/blastview"
>
> -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
> and then i tried using another Apache 2.2.9,and mod_perl 2.0 (static
> linked) run this web site .it got the same error.
> i wonder if it was the problem of apache or mod_perl according to the
> error. if it was ,any suggestions?
>